@echo off
echo Prepare a project for translation:
echo * Create a "translations" directory with subdirs "de" and "en"
echo * Create a "locale" directory with subdirs "de" and "en" and subdir "LC_MESSAGES" in those
echo * Copy _ExtractTranslations.cmd from buildtools
echo * Call it
echo * Copy the created "default.po" file to the "translations\de" and "translations\en" subdirs
echo * Call GORM for both translations
pause

pushd ..
mkdir translations
mkdir translations\de
mkdir translations\en
mkdir locale
mkdir locale\de
mkdir locale\en
mkdir locale\de\LC_MESSAGES
mkdir locale\en\LC_MESSAGES
if exist translations\de\default.po goto deexists
copy buildtools\templates\empty_de.po translations\de\default.po
:deexists
if exist translations\en\default.po goto enexists
copy buildtools\templates\empty_en.po translations\en\default.po
:enexists
copy buildtools\_ExtractTranslations.cmd .
call _ExtractTranslations.cmd
start "buildtools\gorm.exe" translations\en\default.po
popd
